<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Discapacidad
 *
 * @ORM\Table(name="Discapacidad", uniqueConstraints={@ORM\UniqueConstraint(name="UN_DiscapacidadDescripcion", columns={"DiscapacidadDescripcion"})}, indexes={@ORM\Index(name="IDX_C963E41935F55F66", columns={"Discapacidad_ID"})})
 * @ORM\Entity
 */
class Discapacidad
{
    /**
     * @var int
     *
     * @ORM\Column(name="DiscapacidadID", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $discapacidadid;

    /**
     * @var string
     *
     * @ORM\Column(name="DiscapacidadDescripcion", type="string", length=120, nullable=false)
     */
    private $discapacidaddescripcion;

    /**
     * @var \Discapacidad
     *
     * @ORM\ManyToOne(targetEntity="Discapacidad")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="Discapacidad_ID", referencedColumnName="DiscapacidadID")
     * })
     */
    private $discapacidad;

    public function getDiscapacidadid(): ?int
    {
        return $this->discapacidadid;
    }

    public function getDiscapacidaddescripcion(): ?string
    {
        return $this->discapacidaddescripcion;
    }

    public function setDiscapacidaddescripcion(string $discapacidaddescripcion): self
    {
        $this->discapacidaddescripcion = $discapacidaddescripcion;

        return $this;
    }

    public function getDiscapacidad(): ?self
    {
        return $this->discapacidad;
    }

    public function setDiscapacidad(?self $discapacidad): self
    {
        $this->discapacidad = $discapacidad;

        return $this;
    }


}
