<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Poblado
 *
 * @ORM\Table(name="Poblado")
 * @ORM\Entity
 */
class Poblado
{
    /**
     * @var int
     *
     * @ORM\Column(name="PobladoID", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $pobladoid;

    /**
     * @var string|null
     *
     * @ORM\Column(name="PobladoNombre", type="string", length=500, nullable=true)
     */
    private $pobladonombre;

    public function getPobladoid(): ?int
    {
        return $this->pobladoid;
    }

    public function getPobladonombre(): ?string
    {
        return $this->pobladonombre;
    }

    public function setPobladonombre(?string $pobladonombre): self
    {
        $this->pobladonombre = $pobladonombre;

        return $this;
    }


}
